/*
 * This Java source file was generated by the Gradle 'init' task.
 */
 package Task2;
 class App{
    public static void main(String[] args) {
        double[] array = {1, 5, 2, 3, 5, 6, 8, 0};
        int[] arr = {1,2,3,4,5,6,7,8,0};
        double[] sortarr = createSortedArray(array);
        for (int j = 0; j < sortarr.length; j++) {
            System.out.print(sortarr[j] + " ");
        }
        System.out.println();
        sort(array);
        System.out.println();
        sort(arr);
    }

    public static void sort(int[] arr){
        int n = 0;
        int i = 0;
        while (i < arr.length-1){
            if (arr[i] > arr[i+1]){
                n = arr[i];
                arr[i] = arr[i+1];
                arr[i+1] = n;
                i = 0;
            }
            else{
                i = i + 1;
            }
        }
        for (int j = 0; j < arr.length; j++) {
            System.out.print(arr[j] + " ");
        }
    }

    static double[] createSortedArray(double[] massive) {
        double[] newMassive = massive.clone();
        sort(newMassive);
        return newMassive;
    }

}
